package tourplaner.business;

/**
 * Fügt am ende eines Strings die einheiten an
 */
public class EinheitenAdder {

    /**
     * Fügt meter hinzu
     * @param meter Meter als String
     * @return Meter mit einheit
     */
    public static String addMeter(String meter){
        return meter + " " +ConfigHelper.getIniString(ConfigHelper.getStandartConfig(), "einheiten", "meter");
    }

    public static String addSpeed(String speed){
        return speed + " " + ConfigHelper.getIniString(ConfigHelper.getStandartConfig(), "einheiten", "speed");
    }
    
    /**
     * Fügt km hinzu
     * @param km km als String
     * @return km mit einheit
     */
    public static String addKm(String km){
        return km + " " +ConfigHelper.getIniString(ConfigHelper.getStandartConfig(), "einheiten", "strecke");
    }
    
    /**
     * Fügt minuten hinzu
     * @param min minuten als String
     * @return minuten mit einheit
     */
    public static String addMinuten(String min){
        return min + " " +ConfigHelper.getIniString(ConfigHelper.getStandartConfig(), "einheiten", "zeit");
    }

    /**
     * Fügt am ende .json hinzu. Sofern es nicht schon dort ist
     * @param filename Filename ohne .json am ende
     * @return Der Filename mit .json am ende-
     */
    public static String addJson(String filename){
        if(!filename.contains(".json")){
            filename += ".json";
        }
        return filename;
    }
}
